/**
 * This class is generated by jOOQ
 */
package com.flamesgroup.storage.jooq.tables;


import com.flamesgroup.storage.convert.DateConverter;
import com.flamesgroup.storage.jooq.Public;
import com.flamesgroup.storage.jooq.tables.records.VoipAntiSpamHistoryRoutingRequestRecord;

import java.util.Date;

import org.jooq.Field;
import org.jooq.Table;
import org.jooq.TableField;
import org.jooq.impl.TableImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VoipAntiSpamHistoryRoutingRequest extends TableImpl<VoipAntiSpamHistoryRoutingRequestRecord> {

	private static final long serialVersionUID = -316914565;

	/**
	 * The reference instance of <code>public.voip_anti_spam_history_routing_request</code>
	 */
	public static final VoipAntiSpamHistoryRoutingRequest VOIP_ANTI_SPAM_HISTORY_ROUTING_REQUEST = new VoipAntiSpamHistoryRoutingRequest();

	/**
	 * The class holding records for this type
	 */
	@Override
	public Class<VoipAntiSpamHistoryRoutingRequestRecord> getRecordType() {
		return VoipAntiSpamHistoryRoutingRequestRecord.class;
	}

	/**
	 * The column <code>public.voip_anti_spam_history_routing_request.number</code>.
	 */
	public final TableField<VoipAntiSpamHistoryRoutingRequestRecord, String> NUMBER = createField("number", org.jooq.impl.SQLDataType.CLOB, this, "");

	/**
	 * The column <code>public.voip_anti_spam_history_routing_request.time</code>.
	 */
	public final TableField<VoipAntiSpamHistoryRoutingRequestRecord, Date> TIME = createField("time", org.jooq.impl.SQLDataType.TIMESTAMP.nullable(false).defaulted(true), this, "", new DateConverter());

	/**
	 * Create a <code>public.voip_anti_spam_history_routing_request</code> table reference
	 */
	public VoipAntiSpamHistoryRoutingRequest() {
		this("voip_anti_spam_history_routing_request", null);
	}

	/**
	 * Create an aliased <code>public.voip_anti_spam_history_routing_request</code> table reference
	 */
	public VoipAntiSpamHistoryRoutingRequest(String alias) {
		this(alias, VOIP_ANTI_SPAM_HISTORY_ROUTING_REQUEST);
	}

	private VoipAntiSpamHistoryRoutingRequest(String alias, Table<VoipAntiSpamHistoryRoutingRequestRecord> aliased) {
		this(alias, aliased, null);
	}

	private VoipAntiSpamHistoryRoutingRequest(String alias, Table<VoipAntiSpamHistoryRoutingRequestRecord> aliased, Field<?>[] parameters) {
		super(alias, Public.PUBLIC, aliased, parameters, "");
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public VoipAntiSpamHistoryRoutingRequest as(String alias) {
		return new VoipAntiSpamHistoryRoutingRequest(alias, this);
	}

	/**
	 * Rename this table
	 */
	public VoipAntiSpamHistoryRoutingRequest rename(String name) {
		return new VoipAntiSpamHistoryRoutingRequest(name, null);
	}
}
